<?php
	@session_start();
	if (!isset($_SESSION["admin"]["id"])) {
		echo "<script>location.href='index.php';</script>";
	}

	if ($table == "configuracao") {
		echo "<script>alert('Não é possível excluir a configuração');history.back();</script>";
		exit;
	}
	
	$sql = "select TABLE_NAME,COLUMN_NAME,DATA_TYPE,
		CHARACTER_MAXIMUM_LENGTH,
		COLUMN_KEY,EXTRA,COLUMN_COMMENT,IS_NULLABLE
		from COLUMNS 
		where TABLE_SCHEMA = ? 
		AND TABLE_NAME = ?";
    $consulta = $is->prepare($sql); 
	$consulta->bindParam(1, $banco); 
	$consulta->bindParam(2, $table); 
	$consulta->execute();
	$row = $consulta->fetch(PDO::FETCH_OBJ);

	if (empty($row->TABLE_NAME)) {

		?>
<h1 class="page-header">
	Cadastro não encontrado!
</h1>
<div class="alert alert-danger">O cadastro não existe!</div>
		<?php


	} else {

		$sql = "select * from TABLES where TABLE_SCHEMA = ? and TABLE_NAME = ? limit 1 ";
        $consulta2 = $is->prepare($sql); 
		$consulta2->bindParam(1, $banco); 
		$consulta2->bindParam(2, $table); 
		$consulta2->execute();
		$r = $consulta2->fetch(PDO::FETCH_OBJ);	

		$dados = explode(",",$r->TABLE_COMMENT);
		$i = $dados[3];
		$icone = $icons[$i];

		$dep = "";
		if (isset($dados[5])) $dep = $dados[5];

?>

<h1 class="page-header">
    
    	<div class="row">
    		<div class="col-md-7 col-sm-6">
    			Excluir <?=$dados[1];?>
    		</div>
    		<div class="col-md-2 col-sm-2">	
    			<a href="cadastro/<?php echo $table; ?>" title="<?php echo $table; ?>" class="btn btn-success m">
    				<i class="glyphicon glyphicon-file"></i> Novo Registro
    			</a>
    		</div>
    		<div class="col-md-3 col-sm-4">
    			<form name="form1" method="get" action="listar/<?php echo $table; ?>">
		    		<div class="input-group">
				      <input type="text" name="palavra" class="form-control" placeholder="Buscar por...">
				      <span class="input-group-btn">
				        <button class="btn btn-default" type="submit">
				        	<i class="glyphicon glyphicon-search"></i>
				        </button>
				      </span>
				    </div><!-- /input-group -->
		    	</form>
    		</div>
    	</div>
    
</h1>
<ol class="breadcrumb">
    <li>
        <i class="fa fa-dashboard"></i>  <a href="home">Dashboard</a>
    </li>
    <li class="active">
        <i class="<?=$icone;?>"></i> Excluir <?=$dados[1];?>
    </li>
</ol>


<?php 

	
	$msg = "";
	if (!empty($dep)) {

		$dep = explode(";",$dep);

		foreach ($dep as $d) {
		
			$sql = "select * from $d where ".$table."_id = $id limit 1";
			$consulta2 = $db->prepare($sql);  
			$consulta2->execute();
			$r = $consulta2->fetch(PDO::FETCH_OBJ);	

			if (empty($r->id)) {
				$sql = "delete from $table where id = ".(int)$id." limit 1";
			} else {
				$msg = "Não foi possível excluir o registro pois existe um $d cadastrado com esta $table";
			}
		}
	} else {

		$sql = "delete from $table where id = ".(int)$id." limit 1";

	}

	if (empty($msg)) {

		$consulta2 = $db->prepare($sql); 

		if ($consulta2->execute()) {
			$msg = "Registro excluído com sucesso!";
		} else {
			$msg = "Erro ao excluir registro";
		}
	}
} 
?>

<!-- Modal -->
<div class="modal fade" id="myModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
  <div class="modal-dialog">
    <div class="modal-content">
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">X</span></button>
        <h4 class="modal-title" id="myModalLabel"><i class="glyphicon glyphicon-info-sign"></i> Aviso</h4>
      </div>
      <div class="modal-body">
        <p id='msgModal'></p>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-primary" onclick="mudar('<?=$table;?>')"><i class="glyphicon glyphicon-ok"></i> OK</button>
      </div>
    </div>
  </div>
</div>

<script>
function mudar(tb) {
	location.href='cadastro/'+tb;
}
</script>

<?php
	if (!empty($msg)) {
		echo "<script>
			$('#myModal').modal('show');
			$('#msgModal').html('$msg');
		</script>";
	}
?>	
